Package org.wso2.carbon.logging.admin.ui

## Class LoggingAdminClient

- java.lang.Object
- - org.wso2.carbon.logging.admin.ui.LoggingAdminClient

-     public class LoggingAdminClient
      extends Object

  This is the Admin client used for retrieving and updating Log4J2 loggers.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.wso2.carbon.logging.admin.stub.LoggingAdminStub` | `stub` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggingAdminClient​(String cookie, String backendServerURL, org.apache.axis2.context.ConfigurationContext configCtx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLogger​(String loggerName, String loggerClass, String logLevel)` |
    `org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData[]` | `getAllLoggerData​(boolean beginsWith, String logNameFilter)` |
    `String[]` | `getLogLevels()` |
    `boolean` | `isLoggerExist​(String loggerName)` |
    `void` | `updateLoggerData​(String loggerName, String logLevel)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stub

          public org.wso2.carbon.logging.admin.stub.LoggingAdminStub stub

  - ### Constructor Detail

    - #### LoggingAdminClient

          public LoggingAdminClient​(String cookie,
                                    String backendServerURL,
                                    org.apache.axis2.context.ConfigurationContext configCtx)
                             throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### getAllLoggerData

          public org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData[] getAllLoggerData​(boolean beginsWith,
                                                                                               String logNameFilter)
                                                                                        throws Exception

      Throws:
        `Exception`

    - #### getLogLevels

          public String[] getLogLevels()

    - #### updateLoggerData

          public void updateLoggerData​(String loggerName,
                                       String logLevel)
                                throws Exception

      Throws:
        `Exception`

    - #### addLogger

          public void addLogger​(String loggerName,
                                String loggerClass,
                                String logLevel)
                         throws Exception

      Throws:
        `Exception`

    - #### isLoggerExist

          public boolean isLoggerExist​(String loggerName)
                                throws Exception

      Throws:
        `Exception`